﻿using System.Collections.Generic;

namespace AjaxAvailableUserControls.Library.Logic
{
    /// <summary>
    /// Ajax request parameters sent from the client side to server
    /// </summary>
    public class AjaxRequestParameters
    {
        #region fields & properties
        /// <summary>
        /// Server method name
        /// </summary>
        public string MethodName
        {
            get;
            set;
        }

        /// <summary>
        /// List of parameters and their values to be transmitted to called method; These values are transmitted to server as collection of key-value pairs
        /// </summary>
        public Dictionary<string, object> Parameters
        {
            get;
            set;
        }
        #endregion
    }
}
